classification
Title: Installing Python 3.5.0 32bit on Windows 8.1 64bit system gives Error 0x80240017
Type: behavior Stage: resolved
Components: Installation, Windows Versions: Python 3.5
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: Joakim.Karlsson, Shirshendu Bhowmick, eryksun, giampaolo.rodola, lac, paul.moore, steve.dower, terry.reedy, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2015-09-17 21:50 by lac, last changed 2015-12-27 23:11 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
bad_win7_install_log.txt lac, 2015-10-06 14:53 win7 log file for failed install
Messages (21)
msg250922 - (view) Author: Laura Creighton (lac) Date: 2015-09-17 21:50
This in to webmaster.

The nice thing is that it came with a log file.
Maybe this will help diagnose the problem.

In the meantime, I am going to suggest to the poster to try the
remedies in http://wind8apps.com/error-0x80240017-windows/
because yesterday somebody wrote me back that the first method
mentioned there fixed his problem.


[0C40:1870][2015-09-18T00:23:09]i001: Burn v3.10.0.1823, Windows v6.3 (Build 9600: Service Pack 0), path: C:\Users\Shirshendu Bhowmick\Desktop\python-3.5.0.exe
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'ActionLikeInstalling' to value 'Installing'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'ActionLikeInstallation' to value 'Setup'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'ShortVersion' to value '3.5'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'ShortVersionNoDot' to value '35'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'InstallAllUsers' to value '0'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'InstallLauncherAllUsers' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'TargetDir' to value ''
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'DefaultAllUsersTargetDir' to value '[ProgramFilesFolder]Python [ShortVersion]'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'TargetPlatform' to value 'x86'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'DefaultJustForMeTargetDir' to value '[LocalAppDataFolder]Programs\Python\Python[ShortVersionNoDot]-32'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'OptionalFeaturesRegistryKey' to value 'Software\Python\PythonCore\[ShortVersion]-32\InstalledFeatures'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'TargetDirRegistryKey' to value 'Software\Python\PythonCore\[ShortVersion]-32\InstallPath'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'DefaultCustomTargetDir' to value ''
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'InstallAllUsersState' to value 'enabled'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'InstallLauncherAllUsersState' to value 'enabled'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'CustomInstallLauncherAllUsersState' to value '[InstallLauncherAllUsersState]'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'TargetDirState' to value 'enabled'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'CustomBrowseButtonState' to value 'enabled'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_core' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_exe' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_dev' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_lib' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_test' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_doc' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_tools' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_tcltk' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_pip' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_launcher' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_symbols' to value '0'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Include_debug' to value '0'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'LauncherOnly' to value '0'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'AssociateFiles' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'Shortcuts' to value '1'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'PrependPath' to value '0'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'CompileAll' to value '0'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing numeric variable 'SimpleInstall' to value '0'
[0C40:1870][2015-09-18T00:23:09]i000: Initializing string variable 'SimpleInstallDescription' to value ''
[0C40:1870][2015-09-18T00:23:09]i009: Command Line: ''
[0C40:1870][2015-09-18T00:23:09]i000: Setting string variable 'WixBundleLog' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309.log'
[0C40:1870][2015-09-18T00:23:09]i000: Setting string variable 'WixBundleOriginalSource' to value 'C:\Users\Shirshendu Bhowmick\Desktop\python-3.5.0.exe'
[0C40:1870][2015-09-18T00:23:09]i000: Setting string variable 'WixBundleOriginalSourceFolder' to value 'C:\Users\Shirshendu Bhowmick\Desktop\'
[0C40:1870][2015-09-18T00:23:09]i000: Setting string variable 'WixBundleName' to value 'Python 3.5.0 (32-bit)'
[0C40:1870][2015-09-18T00:23:09]i000: Setting string variable 'WixBundleManufacturer' to value 'Python Software Foundation'
[0C40:1870][2015-09-18T00:23:09]i000: Setting numeric variable 'CRTInstalled' to value 0
[0C40:1D68][2015-09-18T00:23:09]i000: Did not find C:\Users\Shirshendu Bhowmick\Desktop\unattend.xml
[0C40:1D68][2015-09-18T00:23:09]i000: Setting string variable 'ActionLikeInstalling' to value 'Installing'
[0C40:1D68][2015-09-18T00:23:09]i000: Setting string variable 'ActionLikeInstallation' to value 'Setup'
[0C40:1D68][2015-09-18T00:23:09]i000: Setting version variable 'WixBundleFileVersion' to value '3.5.150.0'
[0C40:1870][2015-09-18T00:23:10]i100: Detect begin, 54 packages
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: crt_14.0_v6.0_x86, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: crt_14.0_v6.0_x64, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: crt_14.0_v6.1_x86, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: crt_14.0_v6.1_x64, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: crt_14.0_v6.2_x86, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: crt_14.0_v6.2_x64, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: crt_14.0_v6.3_x86, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: crt_14.0_v6.3_x64, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: core_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: core_AllUsers_pdb, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: core_AllUsers_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: core_JustForMe, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: core_JustForMe_pdb, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: core_JustForMe_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: dev_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: dev_AllUsers_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: dev_JustForMe, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: dev_JustForMe_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: exe_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: exe_AllUsers, feature: DefaultFeature, state: Absent
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: exe_AllUsers, feature: Shortcuts, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: exe_AllUsers_pdb, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: exe_AllUsers_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: exe_JustForMe, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: exe_JustForMe, feature: DefaultFeature, state: Absent
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: exe_JustForMe, feature: Shortcuts, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: exe_JustForMe_pdb, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: exe_JustForMe_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: lib_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: lib_AllUsers_pdb, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: lib_AllUsers_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: lib_JustForMe, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: lib_JustForMe_pdb, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: lib_JustForMe_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: test_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: test_AllUsers_pdb, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: test_AllUsers_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: test_JustForMe, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: test_JustForMe_pdb, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: test_JustForMe_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: doc_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: doc_AllUsers, feature: DefaultFeature, state: Absent
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: doc_AllUsers, feature: Shortcuts, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: doc_JustForMe, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: doc_JustForMe, feature: DefaultFeature, state: Absent
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: doc_JustForMe, feature: Shortcuts, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: tools_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: tools_JustForMe, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: tcltk_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: tcltk_AllUsers, feature: DefaultFeature, state: Absent
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: tcltk_AllUsers, feature: AssociateFiles, state: Absent
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: tcltk_AllUsers, feature: Shortcuts, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: tcltk_AllUsers_pdb, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: tcltk_AllUsers_pdb, feature: Symbols, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: tcltk_AllUsers_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: tcltk_AllUsers_d, feature: DebugBinaries, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: tcltk_JustForMe, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: tcltk_JustForMe, feature: DefaultFeature, state: Absent
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: tcltk_JustForMe, feature: AssociateFiles, state: Absent
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: tcltk_JustForMe, feature: Shortcuts, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: tcltk_JustForMe_pdb, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: tcltk_JustForMe_pdb, feature: Symbols, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: tcltk_JustForMe_d, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: tcltk_JustForMe_d, feature: DebugBinaries, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: launcher_AllUsers, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: launcher_AllUsers, feature: DefaultFeature, state: Absent
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: launcher_AllUsers, feature: AssociateFiles, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: launcher_JustForMe, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: launcher_JustForMe, feature: DefaultFeature, state: Absent
[0C40:1870][2015-09-18T00:23:10]i104: Detected package: launcher_JustForMe, feature: AssociateFiles, state: Absent
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: pip_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: pip_JustForMe, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: path_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: path_JustForMe, state: Absent, cached: Complete
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: compileall_AllUsers, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i101: Detected package: compileall_JustForMe, state: Absent, cached: None
[0C40:1870][2015-09-18T00:23:10]i000: Setting string variable 'TargetDir' to value 'C:\Users\Shirshendu Bhowmick\AppData\Local\Programs\Python\Python35-32'
[0C40:1870][2015-09-18T00:23:10]i199: Detect complete, result: 0x0
[0C40:1D68][2015-09-18T00:23:10]i052: Condition 'not WixBundleElevated and (InstallAllUsers or (InstallLauncherAllUsers and Include_launcher))' evaluates to true.
[0C40:1D68][2015-09-18T00:23:11]i000: Setting numeric variable 'PrependPath' to value 0
[0C40:1D68][2015-09-18T00:23:11]i000: Setting numeric variable 'InstallLauncherAllUsers' to value 1
[0C40:1D68][2015-09-18T00:23:11]i052: Condition 'not WixBundleElevated and (InstallAllUsers or (InstallLauncherAllUsers and Include_launcher))' evaluates to true.
[0C40:1D68][2015-09-18T00:23:11]i000: Setting numeric variable 'CompileAll' to value 0
[0C40:1D68][2015-09-18T00:23:11]i000: Setting string variable 'ActionLikeInstalling' to value 'Installing'
[0C40:1D68][2015-09-18T00:23:11]i000: Setting string variable 'ActionLikeInstallation' to value 'Setup'
[0C40:1870][2015-09-18T00:23:11]i200: Plan begin, 54 packages, action: Install
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT = v6.0 and not VersionNT64 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT = v6.0 and not VersionNT64 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w321: Skipping dependency registration on package with no dependency providers: crt_14.0_v6.0_x86
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT64 = v6.0 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT64 = v6.0 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w321: Skipping dependency registration on package with no dependency providers: crt_14.0_v6.0_x64
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT = v6.1 and not VersionNT64 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT = v6.1 and not VersionNT64 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w321: Skipping dependency registration on package with no dependency providers: crt_14.0_v6.1_x86
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT64 = v6.1 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT64 = v6.1 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w321: Skipping dependency registration on package with no dependency providers: crt_14.0_v6.1_x64
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT = v6.2 and not VersionNT64 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT = v6.2 and not VersionNT64 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w321: Skipping dependency registration on package with no dependency providers: crt_14.0_v6.2_x86
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT64 = v6.2 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT64 = v6.2 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w321: Skipping dependency registration on package with no dependency providers: crt_14.0_v6.2_x64
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT = v6.3 and not VersionNT64 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT = v6.3 and not VersionNT64 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w321: Skipping dependency registration on package with no dependency providers: crt_14.0_v6.3_x86
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT64 = v6.3 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not CRTInstalled and VersionNT64 = v6.3 and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]w321: Skipping dependency registration on package with no dependency providers: crt_14.0_v6.3_x64
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: core_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: core_AllUsers_pdb, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: core_AllUsers_d, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleRollbackLog_core_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_001_core_JustForMe_rollback.log'
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleLog_core_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_001_core_JustForMe.log'
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_core or Include_exe or Include_launcher or Include_pip) and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_dev and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_dev and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: dev_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_dev and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_dev and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: dev_AllUsers_d, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_dev and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_dev and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleRollbackLog_dev_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_002_dev_JustForMe_rollback.log'
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleLog_dev_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_002_dev_JustForMe.log'
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_dev and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_dev and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 2 msi features for package: exe_AllUsers
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: DefaultFeature, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: Shortcuts, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: exe_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: exe_AllUsers_pdb, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: exe_AllUsers_d, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 2 msi features for package: exe_JustForMe
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: DefaultFeature, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: Shortcuts, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleRollbackLog_exe_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_003_exe_JustForMe_rollback.log'
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleLog_exe_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_003_exe_JustForMe.log'
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and (Include_exe or Include_launcher or Include_pip) and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_lib and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_lib and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: lib_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_lib and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_lib and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: lib_AllUsers_pdb, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_lib and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_lib and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: lib_AllUsers_d, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_lib and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_lib and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleRollbackLog_lib_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_004_lib_JustForMe_rollback.log'
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleLog_lib_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_004_lib_JustForMe.log'
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_lib and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_lib and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_lib and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_lib and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_test and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_test and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: test_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_test and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_test and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: test_AllUsers_pdb, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_test and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_test and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: test_AllUsers_d, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_test and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_test and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleRollbackLog_test_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_005_test_JustForMe_rollback.log'
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleLog_test_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_005_test_JustForMe.log'
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_test and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_test and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_test and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_test and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_doc and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_doc and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 2 msi features for package: doc_AllUsers
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: DefaultFeature, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: Shortcuts, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: doc_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_doc and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_doc and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 2 msi features for package: doc_JustForMe
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: DefaultFeature, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: Shortcuts, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleRollbackLog_doc_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_006_doc_JustForMe_rollback.log'
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleLog_doc_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_006_doc_JustForMe.log'
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_tools and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_tools and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: tools_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_tools and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_tools and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleRollbackLog_tools_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_007_tools_JustForMe_rollback.log'
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleLog_tools_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_007_tools_JustForMe.log'
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_tcltk and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_tcltk and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 3 msi features for package: tcltk_AllUsers
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: DefaultFeature, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: AssociateFiles, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: Shortcuts, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: tcltk_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_tcltk and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_tcltk and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 1 msi features for package: tcltk_AllUsers_pdb
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: Symbols, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: tcltk_AllUsers_pdb, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_tcltk and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_tcltk and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 1 msi features for package: tcltk_AllUsers_d
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: DebugBinaries, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: tcltk_AllUsers_d, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_tcltk and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_tcltk and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 3 msi features for package: tcltk_JustForMe
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: DefaultFeature, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: AssociateFiles, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: Shortcuts, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleRollbackLog_tcltk_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_008_tcltk_JustForMe_rollback.log'
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleLog_tcltk_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_008_tcltk_JustForMe.log'
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_tcltk and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_tcltk and Include_symbols and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 1 msi features for package: tcltk_JustForMe_pdb
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: Symbols, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_tcltk and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_tcltk and Include_debug and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 1 msi features for package: tcltk_JustForMe_d
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: DebugBinaries, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i052: Condition '(InstallAllUsers or InstallLauncherAllUsers) and Include_launcher' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition '(InstallAllUsers or InstallLauncherAllUsers) and Include_launcher' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 2 msi features for package: launcher_AllUsers
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: DefaultFeature, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: AssociateFiles, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: launcher_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleRollbackLog_launcher_AllUsers' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_009_launcher_AllUsers_rollback.log'
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleLog_launcher_AllUsers' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_009_launcher_AllUsers.log'
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not (InstallAllUsers or InstallLauncherAllUsers) and Include_launcher' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not (InstallAllUsers or InstallLauncherAllUsers) and Include_launcher' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i204: Plan 2 msi features for package: launcher_JustForMe
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: DefaultFeature, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i203: Planned feature: AssociateFiles, state: Absent, default requested: Unknown, ba requested: Local, execute action: AddLocal, rollback action: Remove
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_pip and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and Include_pip and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: pip_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_pip and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and Include_pip and not LauncherOnly' evaluates to true.
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleRollbackLog_pip_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_010_pip_JustForMe_rollback.log'
[0C40:1870][2015-09-18T00:23:11]i000: Setting string variable 'WixBundleLog_pip_JustForMe' to value 'C:\Users\SHIRSH~1\AppData\Local\Temp\Python 3.5.0 (32-bit)_20150918002309_010_pip_JustForMe.log'
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and PrependPath and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and PrependPath and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w322: Skipping cross-scope dependency registration on package: path_AllUsers, bundle scope: PerUser, package scope: PerMachine
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and PrependPath and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and PrependPath and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and CompileAll and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'InstallAllUsers and CompileAll and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w321: Skipping dependency registration on package with no dependency providers: compileall_AllUsers
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and CompileAll and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]i052: Condition 'not InstallAllUsers and CompileAll and not LauncherOnly' evaluates to false.
[0C40:1870][2015-09-18T00:23:11]w321: Skipping dependency registration on package with no dependency providers: compileall_JustForMe
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: crt_14.0_v6.0_x86, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: crt_14.0_v6.0_x64, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: crt_14.0_v6.1_x86, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: crt_14.0_v6.1_x64, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: crt_14.0_v6.2_x86, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: crt_14.0_v6.2_x64, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: crt_14.0_v6.3_x86, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: crt_14.0_v6.3_x64, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: Yes, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: core_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: core_AllUsers_pdb, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: core_AllUsers_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: core_JustForMe, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: No, uncache: No, dependency: Register
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: core_JustForMe_pdb, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: core_JustForMe_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: dev_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: dev_AllUsers_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: dev_JustForMe, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: No, uncache: No, dependency: Register
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: dev_JustForMe_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: exe_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: exe_AllUsers_pdb, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: exe_AllUsers_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: exe_JustForMe, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: No, uncache: No, dependency: Register
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: exe_JustForMe_pdb, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: exe_JustForMe_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: lib_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: lib_AllUsers_pdb, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: lib_AllUsers_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: lib_JustForMe, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: No, uncache: No, dependency: Register
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: lib_JustForMe_pdb, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: lib_JustForMe_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: test_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: test_AllUsers_pdb, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: test_AllUsers_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: test_JustForMe, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: No, uncache: No, dependency: Register
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: test_JustForMe_pdb, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: test_JustForMe_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: doc_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: doc_JustForMe, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: No, uncache: No, dependency: Register
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: tools_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: tools_JustForMe, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: No, uncache: No, dependency: Register
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: tcltk_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: tcltk_AllUsers_pdb, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: tcltk_AllUsers_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: tcltk_JustForMe, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: No, uncache: No, dependency: Register
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: tcltk_JustForMe_pdb, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: tcltk_JustForMe_d, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: launcher_AllUsers, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: launcher_JustForMe, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: pip_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: pip_JustForMe, state: Absent, default requested: Present, ba requested: Present, execute: Install, rollback: Uninstall, cache: No, uncache: No, dependency: Register
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: path_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: path_JustForMe, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: Yes, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: compileall_AllUsers, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i201: Planned package: compileall_JustForMe, state: Absent, default requested: Absent, ba requested: Absent, execute: None, rollback: None, cache: No, uncache: No, dependency: None
[0C40:1870][2015-09-18T00:23:11]i299: Plan complete, result: 0x0
[0C40:1870][2015-09-18T00:23:11]i300: Apply begin
[0C40:1870][2015-09-18T00:23:11]i010: Launching elevated engine process.
[0C40:1870][2015-09-18T00:23:13]i011: Launched elevated engine process.
[0C40:1870][2015-09-18T00:23:13]i012: Connected to elevated engine.
[0DE8:1E34][2015-09-18T00:23:13]i358: Pausing automatic updates.
[0DE8:1E34][2015-09-18T00:23:13]i359: Paused automatic updates.
[0DE8:1E34][2015-09-18T00:23:13]i360: Creating a system restore point.
[0DE8:1E34][2015-09-18T00:23:13]i361: Created a system restore point.
[0C40:1870][2015-09-18T00:23:13]i370: Session begin, registration key: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{1197d2bb-6cf8-488a-b994-d5bf6d7efe7b}, options: 0x7, disable resume: No
[0C40:1870][2015-09-18T00:23:13]i000: Caching bundle from: 'C:\Users\SHIRSH~1\AppData\Local\Temp\{1197d2bb-6cf8-488a-b994-d5bf6d7efe7b}\.be\python-3.5.0.exe' to: 'C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{1197d2bb-6cf8-488a-b994-d5bf6d7efe7b}\python-3.5.0.exe'
[0C40:1870][2015-09-18T00:23:13]i320: Registering bundle dependency provider: {1197d2bb-6cf8-488a-b994-d5bf6d7efe7b}, version: 3.5.150.0
[0C40:1870][2015-09-18T00:23:13]i371: Updating session, registration key: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{1197d2bb-6cf8-488a-b994-d5bf6d7efe7b}, resume: Active, restart initiated: No, disable resume: No
[0DE8:0944][2015-09-18T00:23:13]i305: Verified acquired payload: crt_14.0_v6.3_x64 at path: C:\ProgramData\Package Cache\.unverified\crt_14.0_v6.3_x64, moving to: C:\ProgramData\Package Cache\FC6260C33678BB17FB8B88536C476B4015B7C5E9\Windows8.1-KB2999226-x64.msu.
[0DE8:1E34][2015-09-18T00:23:13]i301: Applying execute package: crt_14.0_v6.3_x64, action: Install, path: C:\ProgramData\Package Cache\FC6260C33678BB17FB8B88536C476B4015B7C5E9\Windows8.1-KB2999226-x64.msu, arguments: '"C:\Windows\SysNative\wusa.exe" "C:\ProgramData\Package Cache\FC6260C33678BB17FB8B88536C476B4015B7C5E9\Windows8.1-KB2999226-x64.msu" /quiet /norestart'
[0C40:1A0C][2015-09-18T00:23:13]i304: Verified existing payload: core_JustForMe at path: C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{E9E55FC3-A47F-4ACA-8691-C22469450FB1}v3.5.150.0\core.msi.
[0C40:1A0C][2015-09-18T00:23:13]i304: Verified existing payload: dev_JustForMe at path: C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{D5A057BD-471E-40D6-B7E0-79E08210D8F6}v3.5.150.0\dev.msi.
[0C40:1A0C][2015-09-18T00:23:13]i304: Verified existing payload: exe_JustForMe at path: C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{CE48771A-4CC2-4F35-A7B3-D136E91D04F3}v3.5.150.0\exe.msi.
[0C40:1A0C][2015-09-18T00:23:13]i304: Verified existing payload: lib_JustForMe at path: C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{0740B2CD-63EC-44C7-B39E-B6EB579773E6}v3.5.150.0\lib.msi.
[0C40:1A0C][2015-09-18T00:23:13]i304: Verified existing payload: test_JustForMe at path: C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{2234BC4D-E95D-40C2-818D-7845760C510F}v3.5.150.0\test.msi.
[0C40:1A0C][2015-09-18T00:23:13]i304: Verified existing payload: doc_JustForMe at path: C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{169B7A58-FE29-48E8-8773-9D6390815C8C}v3.5.150.0\doc.msi.
[0C40:1A0C][2015-09-18T00:23:13]i304: Verified existing payload: tools_JustForMe at path: C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{4A69B338-2C0C-4726-A261-44DBCF0DA94A}v3.5.150.0\tools.msi.
[0C40:1A0C][2015-09-18T00:23:13]i304: Verified existing payload: tcltk_JustForMe at path: C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{7AB85182-2EE4-4137-A5C6-D8C03958DCBA}v3.5.150.0\tcltk.msi.
[0DE8:0944][2015-09-18T00:23:13]i304: Verified existing payload: launcher_AllUsers at path: C:\ProgramData\Package Cache\{CAA5FC80-DEF6-4DFA-9C06-23921A87F092}v3.5.150.0\launcher.msi.
[0C40:1A0C][2015-09-18T00:23:14]i304: Verified existing payload: pip_JustForMe at path: C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{11187860-0D92-490D-86EC-3A941C98D451}v3.5.150.0\pip.msi.
[0DE8:1E34][2015-09-18T00:23:14]e000: Error 0x80240017: Failed to execute MSU package.
[0C40:1870][2015-09-18T00:23:14]e000: Error 0x80240017: Failed to configure per-machine MSU package.
[0C40:1870][2015-09-18T00:23:14]i319: Applied execute package: crt_14.0_v6.3_x64, result: 0x80240017, restart: None
[0C40:1870][2015-09-18T00:23:14]e000: Error 0x80240017: Failed to execute MSU package.
[0DE8:1E34][2015-09-18T00:23:14]i351: Removing cached package: crt_14.0_v6.3_x64, from path: C:\ProgramData\Package Cache\FC6260C33678BB17FB8B88536C476B4015B7C5E9\
[0C40:1870][2015-09-18T00:23:14]i372: Session end, registration key: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{1197d2bb-6cf8-488a-b994-d5bf6d7efe7b}, resume: None, restart: None, disable resume: No
[0C40:1870][2015-09-18T00:23:14]i330: Removed bundle dependency provider: {1197d2bb-6cf8-488a-b994-d5bf6d7efe7b}
[0C40:1870][2015-09-18T00:23:14]i352: Removing cached bundle: {1197d2bb-6cf8-488a-b994-d5bf6d7efe7b}, from path: C:\Users\Shirshendu Bhowmick\AppData\Local\Package Cache\{1197d2bb-6cf8-488a-b994-d5bf6d7efe7b}\
[0C40:1870][2015-09-18T00:23:14]i371: Updating session, registration key: SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{1197d2bb-6cf8-488a-b994-d5bf6d7efe7b}, resume: None, restart initiated: No, disable resume: No
[0C40:1870][2015-09-18T00:23:15]i399: Apply complete, result: 0x80240017, restart: None, ba requested restart:  No
msg250992 - (view) Author: Laura Creighton (lac) Date: 2015-09-18 14:17
The person with the problem has reported to webmaster than the first method in this list http://wind8apps.com/error-0x80240017-windows/
did not fix his problem.
msg251043 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-18 23:42
Uploads are not limited to patches. Please attach such long text files instead of pasting.
msg251330 - (view) Author: Shirshendu Bhowmick (Shirshendu Bhowmick) Date: 2015-09-22 16:48
I am the person with this problem, i have tired the installation on another Windows 8.1 machine but faced the same error. Is there any update on this issue.
msg252395 - (view) Author: Laura Creighton (lac) Date: 2015-10-06 14:53
Got another log of an Error 0x802400

This is a windows 7 user reporting it to webmaster.
msg252402 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-10-06 16:21
The new log looks like Win7 SP1 is needed.

I suspect in the original case there was some other update that was required as well, but I don't know what it was. The prerequisites are the latest service packs for Win7/WinS2K8 and earlier, and https://support.microsoft.com/en-us/kb/2919355 for Win8 and later (found on https://support.microsoft.com/en-us/kb/2999226).

I'll see if I can easily detect these requirements in setup. I need to add detection for WinXP anyway, so these are a logical extension.
msg252403 - (view) Author: Shirshendu Bhowmick (Shirshendu Bhowmick) Date: 2015-10-06 16:23
I have tried downloading and installing the updates from Microsoft, but the system said that the updates are already installed.
msg252405 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-10-06 16:36
Do you still get the same error from the Python installer?
msg252411 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2015-10-06 17:21
Error code WU_E_NOT_APPLICABLE (0x80240017) just tells us that "there are no applicable updates". Perhaps the Windows Update log has more information. 

Shirshendu, try directly installing the [Universal CRT update][1] from the command prompt. Run it with the /log option, e.g.

    Windows8.1-KB2999226-x64.msu /log:kb2999226.evtx

You can view this log in the Windows event viewer, or convert it to text XML on the command line as follows:

    wevtutil qe kb2999226.evtx /lf:true /f:XML /e:MSULog > kb2999226.xml

If the update fails, please attach the XML log to this issue. 

[1]: http://www.microsoft.com/en-us/download/details.aspx?id=48234
msg252416 - (view) Author: Shirshendu Bhowmick (Shirshendu Bhowmick) Date: 2015-10-06 17:40
Yes still the same error, even i have tried on a different system with different configurations running Windows 8.1 there is also i faced the same error.
msg252546 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-10-08 15:43
Shirshendu - any luck with eryksun's suggestions?
msg252553 - (view) Author: Shirshendu Bhowmick (Shirshendu Bhowmick) Date: 2015-10-08 16:25
Installing that update the system says this update is not applicable for your computer and it does not generates any .evtx file.
msg252558 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2015-10-08 17:07
> it does not generates any .evtx file

Start a command prompt; change to the directory that has the MSU, and run it with the option "/log:kb2999226.evtx". For me this creates kb2999226.evtx in the current directory, which can be converted to XML using wevtutil. If this doesn't create a log file, then possibly the .msu file association is incorrect. In that case, try running wusa.exe directly, e.g.

    "%SystemRoot%\System32\wusa.exe" Windows8.1-KB2999226-x64.msu /log:kb2999226.evtx
msg253956 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2015-11-03 01:14
I am having the same problem with Windows 7 64-bit. Tried to install all updates but nothing changed. As for the suggestion to install SP1 1: 
- Windows update does not automatically install it
- As for the manual installation I am not sure which file to download from: https://www.microsoft.com/en-us/download/details.aspx?id=5842 (this is ridiculous).
msg253957 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2015-11-03 02:19
> As for the suggestion to install SP1 1... As for the manual 
> installation I am not sure which file to download from

It's one of these three, depending on your system architecture:

    windows6.1-KB976932-X86.exe - This application installs Sp1 to a 
        32-bit machine running Windows 7.
    windows6.1-KB976932-X64.exe - This application installs Sp1 to a 
        64-bit machine running Windows 7 or Windows Server 2008 R2.
    windows6.1-KB976932-IA64.exe - This application installs Sp1 to an 
        Itanium 64-bit Windows Server 2008 R2.

Detailed instructions for installing Windows 7 SP1: http://windows.microsoft.com/installwindows7sp1.
msg254161 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2015-11-06 01:36
I confirm the problem can be fixed by installing SP-1 (on Windows 7). Thanks eryksun.
msg256921 - (view) Author: Joakim Karlsson (Joakim.Karlsson) Date: 2015-12-23 15:49
I got this working on a Windows 8.1 box with the following mess. Hopefully someone more capable than me can piece together a viable fix from this.

I downloaded and executed the Visual C++ Redistributable for VS 2015 here: https://www.microsoft.com/en-us/download/details.aspx?id=48145

I then watched that installation fail with the same error as in the python installer.

From the steps described here: http://stackoverflow.com/a/31536998

1. Copy the file "C:\ProgramData\Package Cache\FC6260C33678BB17FB8B88536C476B4015B7C5E9\packages\Patch\x64\Windows8.1-KB2999226-x64.msu" to c:\temp\

(Note: the guid in the path above is not the same as in the stack overflow answer. It seems it may vary)

2. From an elevated (important!) command prompt:

>cd c:\temp
>mkdir extracted
>wusa.exe Windows8.1-KB2999226-x64.msu /extract:extracted

(Make sure files are extracted to the new dir)

>dism.exe /Online /Add-Package /PackagePath:extracted\Windows8.1-KB2999226-x64.cab

3. Run vc_redist.x64.exe again, and choose repair

4. Now, I could finally install Python (3.5.1)
msg256925 - (view) Author: Joakim Karlsson (Joakim.Karlsson) Date: 2015-12-23 16:54
My previous fix works for me when I install for current user only. When I attempt to install for all users, I get an error stating that "api-ms-win-crt-runtime-I1-1-0.dll" is missing during the "Precompililng standard library" phase.
msg256926 - (view) Author: Joakim Karlsson (Joakim.Karlsson) Date: 2015-12-23 17:03
...and I seem not to have a working installation even when installing for a single user. The installation completes without complaining, but running python ends up in an error message telling me that "api-ms-win-crt-heap-l1-1-0.dll" is missing.
msg256928 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-12-23 19:39
Joakim, your operating system is corrupted somehow. I'd suggest getting in touch with Microsoft support, as you should be able to install that update. (Or maybe you've done something to block Windows Update?)
msg257070 - (view) Author: Joakim Karlsson (Joakim.Karlsson) Date: 2015-12-27 10:56
After running a windows update I finally have a working Python 3.5.1 installation. Updates weren't done automatically on this box, so I was a bit behind.

I wish I knew which update fixed this, and I'm sorry to add to any confusion regarding this issue.
History
Date User Action Args
2015-12-27 23:11:51terry.reedysetstatus: open -> closed
resolution: third party
stage: resolved
2015-12-27 10:56:04Joakim.Karlssonsetmessages: + msg257070
2015-12-23 19:39:05steve.dowersetmessages: + msg256928
2015-12-23 17:03:56Joakim.Karlssonsetmessages: + msg256926
2015-12-23 16:54:34Joakim.Karlssonsetmessages: + msg256925
2015-12-23 15:49:07Joakim.Karlssonsetnosy: + Joakim.Karlsson
messages: + msg256921
2015-11-06 01:36:03giampaolo.rodolasetmessages: + msg254161
2015-11-03 02:19:07eryksunsetmessages: + msg253957
2015-11-03 01:14:13giampaolo.rodolasetmessages: + msg253956
2015-11-02 22:00:33giampaolo.rodolasetnosy: + giampaolo.rodola
2015-10-08 17:07:52eryksunsetmessages: + msg252558
2015-10-08 16:25:15Shirshendu Bhowmicksetmessages: + msg252553
2015-10-08 15:43:57steve.dowersetmessages: + msg252546
2015-10-06 17:40:24Shirshendu Bhowmicksetmessages: + msg252416
2015-10-06 17:21:01eryksunsetnosy: + eryksun
messages: + msg252411
2015-10-06 16:36:42steve.dowersetmessages: + msg252405
2015-10-06 16:23:44Shirshendu Bhowmicksetmessages: + msg252403
2015-10-06 16:21:12steve.dowersetassignee: steve.dower
messages: + msg252402
2015-10-06 14:53:11lacsetfiles: + bad_win7_install_log.txt

messages: + msg252395
2015-09-29 13:10:10steve.dowersetnosy: + paul.moore, tim.golden, zach.ware, steve.dower
components: + Windows
2015-09-29 10:02:58vstinnerlinkissue25265 superseder
2015-09-22 16:48:59Shirshendu Bhowmicksetnosy: + Shirshendu Bhowmick
messages: + msg251330
2015-09-18 23:42:48terry.reedysetnosy: + terry.reedy
messages: + msg251043
2015-09-18 14:17:00lacsetmessages: + msg250992
2015-09-17 21:50:43laccreate